Main Injector RF Control Application (PA1677, 13) - Bug #8298

Inconsistent behavior when setting anode program past "Max HV"
04/10/2015 12:25 AM - Kyle Hazelwood

Status: New Start date: 04/10/2015
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

I3 attempts to block settings to the anode program that exceed a calculated "Max HV" in MeV/Turn. This "Max HV" is calculated in
[hv.cpp > rinit()] as:

rfmax = hvp.par.tubmax * hvp.par.tubgain * cs->pars[PAR_RFNUM] / 1000.

Where pars[PAR_RFNUM] is the number of RF stations active
and hvp.par.tubmax is the maximum tub voltage (kv) found in appdb.wu.i3_parameters
and hvp.par.tubgain is average RF cavity tube gain found in appdb.wu.i3_parameters

However, the operators have reported seeing the warning that occurs when reaching the "Max HV" threshold and stil occassionally
being able to set the values higher.

| suspect what is happening may be related to the number of stations declared in 13. When this was first reported to me there were a
couple Ml stations left off and then turned on that day. Unfortunately, | have virtually no way of telling if any of the other parameters
were edited because of issue: 8297.

Related issues:
Related to Main Injector RF Control Application (PA1677, I3) - Feature #8297:... New 04/09/2015

History

#1 - 04/10/2015 12:27 AM - Kyle Hazelwood
- Related to Feature #8297: RF parameters table added

#2 - 04/10/2015 12:36 AM - Kyle Hazelwood

- Subject changed from Inconsistent behavious when setting anode program past "Max HV" to Inconsistent behavior when setting anode program past
"Max HV"

- Description updated

#3 - 04/10/2015 12:38 AM - Kyle Hazelwood

For reference: https://www-bd.fnal.gov/Elog/?entrylDs=48716
